<?php

namespace App\Models\Master;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Kabupatens extends Model
{
    use HasFactory;
    protected $table = 'kabupaten';
    public $timestamps = false;

    protected $guarded = [];

    public function provinsi(): BelongsTo
    {
        return $this->belongsTo(Provinsis::class, 'provinsi_id', 'id');
    }
}
