<?php

namespace App\Models\Master;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Kelurahans extends Model
{
    use HasFactory;
    protected $table = 'kelurahan';
    public $timestamps = false;

    protected $guarded = [];

    public function kecamatan(): BelongsTo
    {
        return $this->belongsTo(Kecamatans::class, 'kecamatan_id', 'id');
    }
}
