<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class QuestionDetails extends Model
{
    use HasFactory;

    protected $fillable = [
        'question_id',
        'question_label',
        'question_value',
        'updated_at',
    ];

    public function questionSurveys(): BelongsTo
    {
        return $this->belongsTo(QuestionSurveys::class, 'id', 'question_id');
    }
}
